3091. Apply Operations to Make Sum of Array Greater Than or Equal to k | Weekly Contest 390 | C++

Sdílet
Vložit
  • čas přidán 9. 07. 2024
  • Your one stop for detailed explanation of LeetCode Weekly Contest Solutions from brute force to most optimized. Whether you're a seasoned programmer or just starting out, this video is for you.
    Problem Link- leetcode.com/contest/weekly-c...
    Solution Link - github.com/preetu391/LeetCode...
    Upsolving LeetCode problems is a great way to improve your coding skills! Join me in today's video as we tackle a new challenge and learn new techniques. Let's keep sharpening our problem-solving abilities together. 🚀❤️
    Subscribe for daily LeetCode content as well as contest solutions!
    Connect with me:
    My LinkedIn- / priyanshi-porwal-8b919...
    My Instagram- / coding._.cynics
    My Github- github.com/preetu391
    My telegram channel- t.me/codingcynics
    Timestamps-
    00:00 Understanding the problem
    03:03 Glimpse into DP approach
    04:32 Why DP fails here
    05:06 Intuition to use math
    08:00 How to look out for greedy/math problems
    09:42 Approach for non-perfect square numbers
    13:29 Code
    Hashtags
    #developer #leetcode #leetcodesolutions #leetcodequestions #linkedlist #leetcodedailychallenge #leetcodedailychallenge #interview #technicalinterview
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k C++
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k solution
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k Leetcode
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k Contest Solution
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k Greedy
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k DP
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k using dynamic programming
    3091. Apply Operations to Make Sum of Array Greater Than or Equal to k Weekly contest 390
    Variable Sliding Window
    LeetCode Weekly Contest 390
    LeetCode Weekly Contest 390 solutions
    LeetCode Weekly Contest 390 editorials
    LeetCode Weekly Contest 390 c++ solutions
    Weekly Contest 390
    Weekly Contest 390 solutions
    Weekly Contest 390 editorials
    Weekly Contest 390 c++ solutions
    Apply Operations to Make Sum of Array Greater Than or Equal to k
    Apply Operations to Make Sum of Array Greater Than or Equal to k C++
    Apply Operations to Make Sum of Array Greater Than or Equal to k solution
    Apply Operations to Make Sum of Array Greater Than or Equal to k Leetcode
    Apply Operations to Make Sum of Array Greater Than or Equal to k Contest Solution
    Apply Operations to Make Sum of Array Greater Than or Equal to k Greedy
    Apply Operations to Make Sum of Array Greater Than or Equal to k DP
    Apply Operations to Make Sum of Array Greater Than or Equal to k using dynamic programming
    Apply Operations to Make Sum of Array Greater Than or Equal to k Weekly contest 390
    LeetCode daily challenge solution
    LeetCode daily challenge editorial
    LeetCode daily
    Leetcode POTD
    LeetCode solution
    Leetcode contest
    Leetcode
    LeetCode practice
    Interview Problems
    Greedy
    Dynamic Programming
    Recursion
    Greedy Problems

Komentáře • 10

  • @durgeshkushwaha2534
    @durgeshkushwaha2534 Před 3 měsíci +1

    Excellent explanation priyanshi ❤❤

  • @pankajvishwakarma3246
    @pankajvishwakarma3246 Před 3 měsíci

    Great Explanation 💯💯

  • @LearntoCodewithNayan
    @LearntoCodewithNayan Před 3 měsíci

    Great solution!

  • @shubhambalodhi6485
    @shubhambalodhi6485 Před 3 měsíci

    superb explanation ma'am. pls keep on making videos for contest problem specially for first 3 problems bcz there are very few videos which are generally available for upsolving questions after leecode contest .

    • @preetu391
      @preetu391  Před 3 měsíci

      Thank you! Sure I usually make upto 3 only.

  • @utsavpathak2122
    @utsavpathak2122 Před 3 měsíci

    I really liked the way you explained the problem but it is still tough to come up with the mathematical approach. Great video. Can I get the dp solution too ? I was also thinking about a dp approach to the problem but i couldnt come up with that. Thankyou

    • @preetu391
      @preetu391  Před 3 měsíci +1

      Thank you!
      Here's the dp solution with memoization - github.com/preetu391/LeetCode-Contest-Solutions/blob/main/Weekly%20Contest%20390/Apply%20Operations%20to%20Make%20Sum%20of%20Array%20Greater%20Than%20or%20Equal%20to%20k.cpp
      You can always check description box for codes. I usually put up different approaches with working code on my github.